User Tools

Site Tools


Action disabled: media
system_requirements

GameBase System Requirements

The GameBase Frontend runs on Windows XP, Windows Vista, Windows 7 and Windows 10.

For Windows Vista, Windows 7 and Windows 10, please DO NOT install into your Program Files directory. You will also need to install/run GameBase as Administrator.

system_requirements.txt · Last modified: 2020/05/12 12:01 by Jimbo